Pause further follow-up monitoring
curl -X POST "https://app.nudgeforme.com/api/v1/followups/pause" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: example_string" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"organizationId": "example_string",
"threadId": "example_string",
"requestId": "example_string"
}'
import requests
import json
url = "https://app.nudgeforme.com/api/v1/followups/pause"
headers = {
"Content-Type": "application/json",
"Idempotency-Key": "example_string",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"organizationId": "example_string",
"threadId": "example_string",
"requestId": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.nudgeforme.com/api/v1/followups/pause", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Idempotency-Key": "example_string",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"organizationId": "example_string",
"threadId": "example_string",
"requestId": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"organizationId": "example_string",
"threadId": "example_string",
"requestId": "example_string"
}`)
req, err := http.NewRequest("POST", "https://app.nudgeforme.com/api/v1/followups/pause", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Idempotency-Key", "example_string")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.nudgeforme.com/api/v1/followups/pause')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Idempotency-Key'] = 'example_string'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"organizationId": "example_string",
"threadId": "example_string",
"requestId": "example_string"
}'
response = http.request(request)
puts response.body
{}
{
"error": "Conflict",
"message": "The request conflicts with the current state of the resource",
"code": 409,
"details": "Resource already exists"
}
POST
/followups/pause
POST
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredNudge developer API key (REST only) or OAuth access token.
Nudge developer API key (REST only) or OAuth access token.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
header
Idempotency-Keystring
Required unless requestId is included in body (8–100 allowed characters).
Min length: 8 • Max length: 100 • Pattern: ^[A-Za-z0-9_.:-]{8,100}$
requestIdstring
Min length: 8 • Max length: 100 • Pattern: ^[A-Za-z0-9_.:-]{8,100}$
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Nudge developer API key (REST only) or OAuth access token.
Headers
Idempotency-Keystring
Required unless requestId is included in body (8–100 allowed characters).
Responses
Operation result; structure depends on the endpoint.
Was this page helpful?